## Name

mkesmtpdcert — Create a secure SMTP test certificate

## Synopsis

`/usr/pkg/sbin/mkesmtpdcert`

## DESCRIPTION

Secure ESMTP requires a valid, signed, X.509 certificate. The default location for the certificate file is `/usr/pkg/etc/courier/esmtpd.pem`. The mkesmtpdcert generates a self-signed X.509 certificate, mainly for testing. For production use the X.509 certificate must be signed by a recognized certificate authority, in order for mail clients to accept the certificate.

`/usr/pkg/etc/courier/esmtpd.pem` must be owned by the courier user and have no group or world permissions. The mkesmtpdcert command will enforce this. To prevent an unfortunate accident, mkesmtpdcert will not work if `/usr/pkg/etc/courier/esmtpd.pem` already exists.

mkesmtpdcert requires OpenSSL to be installed.

## SEE ALSO

courier(8).